package com.zhongshu.card.server.core.dao.visitor;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.card.server.core.dao.visitor.extend.VisitorSettingDeviceDaoExtend;
import com.zhongshu.card.server.core.domain.visitor.VisitorSettingDevice;

import java.util.List;

/**
 * @author TRX
 * @date 2024/3/21
 */
public interface VisitorSettingDeviceDao extends MongoDao<VisitorSettingDevice>, VisitorSettingDeviceDaoExtend {

    VisitorSettingDevice findTopById(String id);

    List<VisitorSettingDevice> findByIdIn(List<String> ids);

    List<VisitorSettingDevice> findBySceneComponentId(String sceneComponentId);

    VisitorSettingDevice findTopBySceneComponentIdAndDeviceId(String sceneComponentId, String deviceId);
}
